<template>
  <div :style="{'width': this.width + 'px', 'height': this.height + 'px'}" class="inline-icon flex-shrink-0">
    <img :src="iconPath" alt="">
  </div>
</template>

<script>
import { imagePaths } from '@/mixins/imagePaths';
export default {
  name: 'OrderIcon',
  props: [
    'name',
  ],
  data () {
    return {
      width: 18,
      height: 18,
    };
  },
  computed: {
    orderSymbolsMap () {
      return this.$store.state.orderSymbolsMap;
    },
    iconPath () {
      return imagePaths.getIcon(this.orderSymbolsMap[this.name]);
    },
  },
};
</script>

<style>
.inline-icon {
  display: inline-block;
  img {
    width: 100%;
    height: 100%;
  }
}
</style>
